import{s as ot,o as nt,n as it}from"../chunks/scheduler.182ea377.js";import{S as dt,i as lt,g as i,s as r,r as u,A as at,h as d,f as s,c as o,j as S,u as m,x as _,k as M,y as t,a as c,v as f,d as h,t as v,w as g}from"../chunks/index.abf12888.js";import{T as ct}from"../chunks/Tip.230e2334.js";import{D}from"../chunks/Docstring.93f6f462.js";import{H as Te}from"../chunks/Heading.16916d63.js";function pt(le){let p,L=`The algorithm and model type are decoupled. You can use either DPMSolver or DPMSolver++ for both noise
prediction and data prediction models.`;return{c(){p=i("p"),p.textContent=L},l(b){p=d(b,"P",{"data-svelte-h":!0}),_(p)!=="svelte-95n5s"&&(p.textContent=L)},m(b,J){c(b,p,J)},p:it,d(b){b&&s(p)}}}function ut(le){let p,L,b,J,E,ae,O,Re='<code>DPMSolverMultistepInverse</code> is the inverted scheduler from <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPM-Solver: A Fast ODE Solver for Diffusion Probabilistic Model Sampling in Around 10 Steps</a> and <a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPM-Solver++: Fast Solver for Guided Sampling of Diffusion Probabilistic Models</a> by Cheng Lu, Yuhao Zhou, Fan Bao, Jianfei Chen, Chongxuan Li, and Jun Zhu.',ce,k,Ue='The implementation is mostly based on the DDIM inversion definition of <a href="https://huggingface.co/papers/2211.09794" rel="nofollow">Null-text Inversion for Editing Real Images using Guided Diffusion Models</a> and notebook implementation of the <code>DiffEdit</code> latent inversion from <a href="https://github.com/Xiang-cd/DiffEdit-stable-diffusion/blob/main/diffedit.ipynb" rel="nofollow">Xiang-cd/DiffEdit-stable-diffusion</a>.',pe,q,ue,H,Ye=`Dynamic thresholding from <a href="https://huggingface.co/papers/2205.11487" rel="nofollow">Imagen</a> is supported, and for pixel-space
diffusion models, you can set both <code>algorithm_type=&quot;dpmsolver++&quot;</code> and <code>thresholding=True</code> to use the dynamic
thresholding. This thresholding method is unsuitable for latent-space diffusion models such as
Stable Diffusion.`,me,N,fe,l,A,ye,X,Be='<code>DPMSolverMultistepInverseScheduler</code> is the reverse scheduler of <a href="/docs/diffusers/main/en/api/schedulers/multistep_dpm_solver#diffusers.DPMSolverMultistepScheduler">DPMSolverMultistepScheduler</a>.',Ie,Z,Je=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,we,x,V,Ce,K,Xe=`Convert the model output to the corresponding type the DPMSolver/DPMSolver++ algorithm needs. DPM-Solver is
designed to discretize an integral of the noise prediction model, and DPM-Solver++ is designed to discretize an
integral of the data prediction model.`,Fe,P,Le,T,z,Ee,Q,Ze="One step for the first-order DPMSolver (equivalent to DDIM).",Oe,y,j,ke,ee,Ke="One step for the second-order multistep DPMSolver.",qe,I,W,He,te,Qe="One step for the third-order multistep DPMSolver.",Ne,w,G,Ae,se,et=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Ve,C,R,ze,re,tt="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",je,F,U,We,oe,st=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the multistep DPMSolver.`,he,Y,ve,$,B,Ge,ne,rt="Base class for the output of a scheduler’s <code>step</code> function.",ge,de,_e;return E=new Te({props:{title:"DPMSolverMultistepInverse",local:"dpmsolvermultistepinverse",headingTag:"h1"}}),q=new Te({props:{title:"Tips",local:"tips",headingTag:"h2"}}),N=new Te({props:{title:"DPMSolverMultistepInverseScheduler",local:"diffusers.DPMSolverMultistepInverseScheduler",headingTag:"h2"}}),A=new D({props:{name:"class diffusers.DPMSolverMultistepInverseScheduler",anchor:"diffusers.DPMSolverMultistepInverseScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Union = None"},{name:"solver_order",val:": int = 2"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"algorithm_type",val:": str = 'dpmsolver++'"},{name:"solver_type",val:": str = 'midpoint'"},{name:"lower_order_final",val:": bool = True"},{name:"euler_at_final",val:": bool = False"},{name:"use_karras_sigmas",val:": Optional = False"},{name:"lambda_min_clipped",val:": float = -inf"},{name:"variance_type",val:": Optional = None"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, defaults to 2) &#x2014;
The DPMSolver order which can be <code>1</code> or <code>2</code> or <code>3</code>. It is recommended to use <code>solver_order=2</code> for guided
sampling, and <code>solver_order=3</code> for unconditional sampling.`,name:"solver_order"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code> and
<code>algorithm_type=&quot;dpmsolver++&quot;</code>.`,name:"sample_max_value"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.algorithm_type",description:`<strong>algorithm_type</strong> (<code>str</code>, defaults to <code>dpmsolver++</code>) &#x2014;
Algorithm type for the solver; can be <code>dpmsolver</code>, <code>dpmsolver++</code>, <code>sde-dpmsolver</code> or <code>sde-dpmsolver++</code>. The
<code>dpmsolver</code> type implements the algorithms in the <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPMSolver</a>
paper, and the <code>dpmsolver++</code> type implements the algorithms in the
<a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPMSolver++</a> paper. It is recommended to use <code>dpmsolver++</code> or
<code>sde-dpmsolver++</code> with <code>solver_order=2</code> for guided sampling like in Stable Diffusion.`,name:"algorithm_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, defaults to <code>midpoint</code>) &#x2014;
Solver type for the second-order solver; can be <code>midpoint</code> or <code>heun</code>. The solver type slightly affects the
sample quality, especially for a small number of steps. It is recommended to use <code>midpoint</code> solvers.`,name:"solver_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.euler_at_final",description:`<strong>euler_at_final</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use Euler&#x2019;s method in the final step. It is a trade-off between numerical stability and detail
richness. This can stabilize the sampling of the SDE variant of DPMSolver for small number of inference
steps, but sometimes may result in blurring.`,name:"euler_at_final"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.lambda_min_clipped",description:`<strong>lambda_min_clipped</strong> (<code>float</code>, defaults to <code>-inf</code>) &#x2014;
Clipping threshold for the minimum value of <code>lambda(t)</code> for numerical stability. This is critical for the
cosine (<code>squaredcos_cap_v2</code>) noise schedule.`,name:"lambda_min_clipped"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.variance_type",description:`<strong>variance_type</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Set to &#x201C;learned&#x201D; or &#x201C;learned_range&#x201D; for diffusion models that predict variance. If set, the model&#x2019;s output
contains the predicted Gaussian variance.`,name:"variance_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L74"}}),V=new D({props:{name:"convert_model_output",anchor:"diffusers.DPMSolverMultistepInverseScheduler.convert_model_output",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L391",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The converted model output.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),P=new ct({props:{$$slots:{default:[pt]},$$scope:{ctx:le}}}),z=new D({props:{name:"dpm_solver_first_order_update",anchor:"diffusers.DPMSolverMultistepInverseScheduler.dpm_solver_first_order_update",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.dpm_solver_first_order_update.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.dpm_solver_first_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L491",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),j=new D({props:{name:"multistep_dpm_solver_second_order_update",anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_second_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_second_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_second_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L561",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),W=new D({props:{name:"multistep_dpm_solver_third_order_update",anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_third_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_third_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_third_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L685",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),G=new D({props:{name:"scale_model_input",anchor:"diffusers.DPMSolverMultistepInverseScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L867",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A scaled input sample.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),R=new D({props:{name:"set_timesteps",anchor:"diffusers.DPMSolverMultistepInverseScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int = None"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L226"}}),U=new D({props:{name:"step",anchor:"diffusers.DPMSolverMultistepInverseScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"generator",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/multistep_dpm_solver_inverse#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L790",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/multistep_dpm_solver_inverse#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/diffusers/main/en/api/schedulers/multistep_dpm_solver_inverse#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),Y=new Te({props:{title:"SchedulerOutput",local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",headingTag:"h2"}}),B=new D({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){p=i("meta"),L=r(),b=i("p"),J=r(),u(E.$$.fragment),ae=r(),O=i("p"),O.innerHTML=Re,ce=r(),k=i("p"),k.innerHTML=Ue,pe=r(),u(q.$$.fragment),ue=r(),H=i("p"),H.innerHTML=Ye,me=r(),u(N.$$.fragment),fe=r(),l=i("div"),u(A.$$.fragment),ye=r(),X=i("p"),X.innerHTML=Be,Ie=r(),Z=i("p"),Z.innerHTML=Je,we=r(),x=i("div"),u(V.$$.fragment),Ce=r(),K=i("p"),K.textContent=Xe,Fe=r(),u(P.$$.fragment),Le=r(),T=i("div"),u(z.$$.fragment),Ee=r(),Q=i("p"),Q.textContent=Ze,Oe=r(),y=i("div"),u(j.$$.fragment),ke=r(),ee=i("p"),ee.textContent=Ke,qe=r(),I=i("div"),u(W.$$.fragment),He=r(),te=i("p"),te.textContent=Qe,Ne=r(),w=i("div"),u(G.$$.fragment),Ae=r(),se=i("p"),se.textContent=et,Ve=r(),C=i("div"),u(R.$$.fragment),ze=r(),re=i("p"),re.textContent=tt,je=r(),F=i("div"),u(U.$$.fragment),We=r(),oe=i("p"),oe.textContent=st,he=r(),u(Y.$$.fragment),ve=r(),$=i("div"),u(B.$$.fragment),Ge=r(),ne=i("p"),ne.innerHTML=rt,ge=r(),de=i("p"),this.h()},l(e){const n=at("svelte-u9bgzb",document.head);p=d(n,"META",{name:!0,content:!0}),n.forEach(s),L=o(e),b=d(e,"P",{}),S(b).forEach(s),J=o(e),m(E.$$.fragment,e),ae=o(e),O=d(e,"P",{"data-svelte-h":!0}),_(O)!=="svelte-9vmlu9"&&(O.innerHTML=Re),ce=o(e),k=d(e,"P",{"data-svelte-h":!0}),_(k)!=="svelte-jb4p1n"&&(k.innerHTML=Ue),pe=o(e),m(q.$$.fragment,e),ue=o(e),H=d(e,"P",{"data-svelte-h":!0}),_(H)!=="svelte-1ng0gyl"&&(H.innerHTML=Ye),me=o(e),m(N.$$.fragment,e),fe=o(e),l=d(e,"DIV",{class:!0});var a=S(l);m(A.$$.fragment,a),ye=o(a),X=d(a,"P",{"data-svelte-h":!0}),_(X)!=="svelte-25li7n"&&(X.innerHTML=Be),Ie=o(a),Z=d(a,"P",{"data-svelte-h":!0}),_(Z)!=="svelte-linuuh"&&(Z.innerHTML=Je),we=o(a),x=d(a,"DIV",{class:!0});var ie=S(x);m(V.$$.fragment,ie),Ce=o(ie),K=d(ie,"P",{"data-svelte-h":!0}),_(K)!=="svelte-1st02i8"&&(K.textContent=Xe),Fe=o(ie),m(P.$$.fragment,ie),ie.forEach(s),Le=o(a),T=d(a,"DIV",{class:!0});var be=S(T);m(z.$$.fragment,be),Ee=o(be),Q=d(be,"P",{"data-svelte-h":!0}),_(Q)!=="svelte-4nw43d"&&(Q.textContent=Ze),be.forEach(s),Oe=o(a),y=d(a,"DIV",{class:!0});var Se=S(y);m(j.$$.fragment,Se),ke=o(Se),ee=d(Se,"P",{"data-svelte-h":!0}),_(ee)!=="svelte-1d6o6zu"&&(ee.textContent=Ke),Se.forEach(s),qe=o(a),I=d(a,"DIV",{class:!0});var Me=S(I);m(W.$$.fragment,Me),He=o(Me),te=d(Me,"P",{"data-svelte-h":!0}),_(te)!=="svelte-17nne8p"&&(te.textContent=Qe),Me.forEach(s),Ne=o(a),w=d(a,"DIV",{class:!0});var xe=S(w);m(G.$$.fragment,xe),Ae=o(xe),se=d(xe,"P",{"data-svelte-h":!0}),_(se)!=="svelte-1rkfgpx"&&(se.textContent=et),xe.forEach(s),Ve=o(a),C=d(a,"DIV",{class:!0});var $e=S(C);m(R.$$.fragment,$e),ze=o($e),re=d($e,"P",{"data-svelte-h":!0}),_(re)!=="svelte-1vzm9q"&&(re.textContent=tt),$e.forEach(s),je=o(a),F=d(a,"DIV",{class:!0});var De=S(F);m(U.$$.fragment,De),We=o(De),oe=d(De,"P",{"data-svelte-h":!0}),_(oe)!=="svelte-7jbjgx"&&(oe.textContent=st),De.forEach(s),a.forEach(s),he=o(e),m(Y.$$.fragment,e),ve=o(e),$=d(e,"DIV",{class:!0});var Pe=S($);m(B.$$.fragment,Pe),Ge=o(Pe),ne=d(Pe,"P",{"data-svelte-h":!0}),_(ne)!=="svelte-6ojmkw"&&(ne.innerHTML=rt),Pe.forEach(s),ge=o(e),de=d(e,"P",{}),S(de).forEach(s),this.h()},h(){M(p,"name","hf:doc:metadata"),M(p,"content",mt),M(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){t(document.head,p),c(e,L,n),c(e,b,n),c(e,J,n),f(E,e,n),c(e,ae,n),c(e,O,n),c(e,ce,n),c(e,k,n),c(e,pe,n),f(q,e,n),c(e,ue,n),c(e,H,n),c(e,me,n),f(N,e,n),c(e,fe,n),c(e,l,n),f(A,l,null),t(l,ye),t(l,X),t(l,Ie),t(l,Z),t(l,we),t(l,x),f(V,x,null),t(x,Ce),t(x,K),t(x,Fe),f(P,x,null),t(l,Le),t(l,T),f(z,T,null),t(T,Ee),t(T,Q),t(l,Oe),t(l,y),f(j,y,null),t(y,ke),t(y,ee),t(l,qe),t(l,I),f(W,I,null),t(I,He),t(I,te),t(l,Ne),t(l,w),f(G,w,null),t(w,Ae),t(w,se),t(l,Ve),t(l,C),f(R,C,null),t(C,ze),t(C,re),t(l,je),t(l,F),f(U,F,null),t(F,We),t(F,oe),c(e,he,n),f(Y,e,n),c(e,ve,n),c(e,$,n),f(B,$,null),t($,Ge),t($,ne),c(e,ge,n),c(e,de,n),_e=!0},p(e,[n]){const a={};n&2&&(a.$$scope={dirty:n,ctx:e}),P.$set(a)},i(e){_e||(h(E.$$.fragment,e),h(q.$$.fragment,e),h(N.$$.fragment,e),h(A.$$.fragment,e),h(V.$$.fragment,e),h(P.$$.fragment,e),h(z.$$.fragment,e),h(j.$$.fragment,e),h(W.$$.fragment,e),h(G.$$.fragment,e),h(R.$$.fragment,e),h(U.$$.fragment,e),h(Y.$$.fragment,e),h(B.$$.fragment,e),_e=!0)},o(e){v(E.$$.fragment,e),v(q.$$.fragment,e),v(N.$$.fragment,e),v(A.$$.fragment,e),v(V.$$.fragment,e),v(P.$$.fragment,e),v(z.$$.fragment,e),v(j.$$.fragment,e),v(W.$$.fragment,e),v(G.$$.fragment,e),v(R.$$.fragment,e),v(U.$$.fragment,e),v(Y.$$.fragment,e),v(B.$$.fragment,e),_e=!1},d(e){e&&(s(L),s(b),s(J),s(ae),s(O),s(ce),s(k),s(pe),s(ue),s(H),s(me),s(fe),s(l),s(he),s(ve),s($),s(ge),s(de)),s(p),g(E,e),g(q,e),g(N,e),g(A),g(V),g(P),g(z),g(j),g(W),g(G),g(R),g(U),g(Y,e),g(B)}}}const mt='{"title":"DPMSolverMultistepInverse","local":"dpmsolvermultistepinverse","sections":[{"title":"Tips","local":"tips","sections":[],"depth":2},{"title":"DPMSolverMultistepInverseScheduler","local":"diffusers.DPMSolverMultistepInverseScheduler","sections":[],"depth":2},{"title":"SchedulerOutput","local":"diffusers.schedulers.scheduling_utils.SchedulerOutput","sections":[],"depth":2}],"depth":1}';function ft(le){return nt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class St extends dt{constructor(p){super(),lt(this,p,ft,ut,ot,{})}}export{St as component};
